
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>面向机器学习的自然语言标注3.2 计算出现次数 / iVAN</title>

    <meta name="description" content="面向机器学习的自然语言标注3.2 计算出现次数 3.2 计算出现次数 当我们将语言学文本放在一起形成语料库时,在检查语料库前,我们很可能不知道一个具体语言现象的概率分布.例如,如果没有统计每个题材的评论数量,我们不可能知道在IMDb语料库中出现动作类电影评论的概率.在现实中,没有一个语料库会如此平衡.通过对数据集(这里,数据集包含动作类.喜剧类等类型的电影评论)中相关对象出现次数的计数,构成对语料库的统计.类似地,在检查语料库的语言学内容时,我们事先不可能知道语料库中不同单词的频率分布. 在把任何一种机器学习算法应用于语料库前,应该知道的最重">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">面向机器学习的自然语言标注3.2 计算出现次数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><b>3.2 计算出现次数</b></p>
<p>当我们将语言学文本放在一起形成语料库时，在检查语料库前，我们很可能不知道一个具体语言现象的概率分布。例如，如果没有统计每个题材的评论数量，我们不可能知道在IMDb语料库中出现动作类电影评论的概率。在现实中，没有一个语料库会如此平衡。通过对数据集（这里，数据集包含动作类、喜剧类等类型的电影评论）中相关对象出现次数的计数，构成对语料库的统计。类似地，在检查语料库的语言学内容时，我们事先不可能知道语料库中不同单词的频率分布。</p>
<p>在把任何一种机器学习算法应用于语料库前，应该知道的最重要的一件事是语料库所包含的单词的基本统计信息。语料库本质上就像一本教科书，学习算法将用它作为样本（正样例）进行训练。如果你不知道单词的分布（或任何感兴趣的东西），那么你就不知道教科书提供了哪些可以学习的内容。语料库中词型（word type）的分布通常是不均衡的，如图3-1所示。Madnani(2012)提供了如何为语料库生成这种图表的指南。</p>
<p> </p>
<p>图3-1：NLTK Gutenburg语料库中的频率分布</p>
<p>首先澄清一点。当我们说正在计算语料库中的“单词”时，我们需要明白其中的含义。词频指的是词例（即词型或词干的实例）的个数。所以，我们应该正确地说明下面这句话中有8个单词还是11个单词。这取决于“单词”的含义。</p>
<p>“The cat chased the mouse down the street in the dark.”</p>
<p>可以直接用NLTK对语料库进行词频计算。图3-2显示了IMDb语料库的一些例子。弄清楚数据集中哪些单词或短语最常用，有助于深入理解你正在使用的语料库。这里，我们给出可用于查找文本文件中50个最常见单词的源代码。</p>
<p> </p>
<p>图3-2 ：IMDb语料库中的频率分布</p>
<p> </p>
<p>关于NLTK搭配函数的使用说明可参见http://nltk.googlecode.com/svn/trunk/doc/howto/collocations.html.</p>
<p>这里给出在语料库上进行词法统计时需要用到的两个基本概念：</p>
<p>语料库大小（N）</p>
<p>语料库中词例的个数。</p>
<p>词汇表大小（V）</p>
<p>语料库中词型的个数。</p>
<p>对任一个经过分词的语料库，都可以将每一个词例映射为一个词型，例如the出现的次数（词型the的词例个数）等。获得语料库词频分布后，可以计算两个指标：排序/频率分布（rank/frequency profile）和词频的频谱（frequency spectrum）。</p>
<p>为得到排序/频率分布，需要从词频列表中取出词型并用其排序替换它，最常见的词型排序是1，以此类推。为生成频谱，简单地计算具有某一频率的词型的个数即可。在这两个指标的计算结果中最明显的一点是，最高频率的排序总是被功能词（function word）（即the、a和and之类的词以及介词等）占据。在布朗语料库中，位列前10的单词占语料库大小的23%（Baroni 2009）。另一个发现是排序较低的单词在频率上呈现出许多联系。例如，在IMDb语料库的频率表中，罕用语（语料库中仅出现一次的单词）数量超过8000。在布朗语料库中，大约一半的单词只出现一次。均值或平均频率的背后隐藏着巨大的差异。在布朗语料库中，词型的平均频率是每个词型出现19次，但该均值之所以如此之大是因为少量极高频词导致的。</p>
<p>我们也注意到语料库中的大部分单词的词频都远低于均值，所以均值比中位数高得多，尽管众数（mode）通常为1。所以，均值对“集中趋势”并不是一个很有意义的指标，对更大规模的语料库来说更是如此。</p>
<p>注意：回忆下面几个统计学概念之间的区别：</p>
<p>·均值（平均数）：值的和除以值的个数       </p>
<p> </p>
<p>·众数：总体（或数据集）中最常见的值。</p>
<p>·中位数：总体（或样本）的中间数，它将样本集分为比它大的一半和比它小的一半。</p>
<p>3.2.1 齐普夫定律（Zip's Law）</p>
<p>上节提到词型的不均衡分布是乔治·齐普夫（George Zipf）根据对各种数据集的观察在1949年首次提出的。他注意到，语料库中一个词的频率f(w)是这个词的排序r(w)的非线性递减函数，可以表示为下面这两个变量之间的函数关系：</p>
<p> </p>
<p>C是一个常数，由语料库的具体情况决定，但现在我们可以认为它是语料库中最高频单词的频率。假设a是1，那么我们很快就可以看到频率是如何随排序递减的。注意，该规律是一个幂次定律（power law）：频率是排序的负次幂（－a）的函数。所以，排在第一位的词出现的次数通常是排在第二位的词出现次数的两倍以及第三位的三倍，以此类推。</p>
<p>3.2.2  n元语法</p>
<p>本节介绍n元语法的概念。n元语法对自然语言处理（NLP）的许多应用都很重要，因为可以通过它们构造非常直观的语言模型（language model），用于语音识别与合成、机器翻译、索引、信息检索（IR）以及接下来我们将要看到的分类。</p>
<p>设想我们有一个词例（token）字符串W，由元素w1, w2, ? wn组成。现在考虑W上的滑动窗口。如果滑动窗口由一元子串(wi)组成，则这些一元子串的集合称为字符串的一元（unigram）表示；字符串中元素的个数与一元表示的个数相同。现在考虑所有的二元子串，有w1w2、w2w3等，直到最后的wn－1wn，这些称为二元（bigram）表示，对于一个长度为n的字符串，我们有n－1个二元表示。</p>
<p>根据之前提到的条件概率的定义，可以将已知前一个词例的条件下出现当前词例的概率定义为二元概率（bigram probability）。因此，已知前一个元素wi-1，元素wi的条件概率为：</p>
<p> </p>
<p>将滑动窗口进一步扩大，已知前n－1个元素，可以定义n元概率为该元素的条件概率。即，</p>
<p> </p>
<p>在任何语料库中最常见的二元子串很可能不是你所感兴趣的。它们涉及词对中频次最高的那些。这通常是烦人的功能词词对，例如，</p>
<p>of the</p>
<p>in the</p>
<p>on the</p>
<p>in a</p>
<p>如果你想得到更有意义的二元（和三元）子串集合，可以在语料库上运行词性（POS）标注器，比如通过NLTK提供的某个词性标注器。这样能够过滤一些二元子串得到更多的实义词词对，例如，形容词和名词：</p>
<p>Star Trek</p>
<p>Bull Run</p>
<p>Sidekick Brainiac</p>
<p>这是从结果中过滤无意义的n元子串的有效方式。但更好的解决方法是利用n元子串中词语之间的“自然亲和力”。这个方法涉及所谓的搭配（collocation）。搭配是语言中两个或以上单词远超偶然共现的频繁共现。在语料库中寻找搭配的一种有效方法是计算点互信息（Pointwise Mutual Information，PMI）。大体而言，PMI背后的直觉如下：对两个单词X和Y，我们想知道一个单词能告诉我们另一个单词多少信息。例如，给定X的一次出现x和Y的一次出现y，它们的联合概率与假设它们彼此独立时的期望值之间有多大差异？这可以表示为：</p>
<p>pmi</p>
<p>实际上，NLTK所提供的搭配函数也是利用该关系构造二元搭配。将该函数应用于IMDb语料库的二元子串，可看到如下的结果：</p>
<p>&gt;&gt;&gt; bigram_measures = nltk.collocations.BigramAssocMeasures()</p>
<p>&gt;&gt;&gt; finder1 = BigramCollocationFinder.from_words(imdbcorpus.words())</p>
<p>&gt;&gt;&gt; finder1.nbest(bigram_measures.pmi, 10)</p>
<p>[('".(', 'Check'), ('10th', 'Sarajevo'), ('16100', 'Patranis'),</p>
<p>('1st', 'Avenue'), ('317', 'Riverside'), ('5000', 'Reward'),</p>
<p>('6310', 'Willoughby'), ('750hp', 'tire'), ('ALEX', 'MILLER'),</p>
<p>('Aasoo', 'Bane')]</p>
<p>&gt;&gt;&gt; finder1.apply_freq_filter(10) #look only at collocations that occur 10 times or more</p>
<p>&gt;&gt;&gt; finder1.nbest(bigram_measures.pmi, 10)</p>
<p>[('United', 'States'), ('Los', 'Angeles'), ('Bhagwan', 'Shri'),</p>
<p>('martial', 'arts'), ('Lan', 'Yu'), ('Devi', 'Maa'),</p>
<p>('New', 'York'), ('qv', ')),'), ('qv', '))'), ('I', ")'")]</p>
<p>&gt;&gt;&gt; finder1.apply_freq_filter(15)</p>
<p>&gt;&gt;&gt; finder1.nbest(bigram_measures.pmi, 10)</p>
<p>[('Bhagwan', 'Shri'), ('Devi', 'Maa'), ('New', 'York'),</p>
<p>('qv', ')),'), ('qv', '))'), ('I', ")'"), ('no', 'longer'),</p>
<p>('years', 'ago'), ('none', 'other'), ('each', 'other')]</p>
<p>然而，使用这个简单公式将涉及数据稀疏问题。即，过高估计了观测到的罕见事件的概率，而过低估计了未观测到的事件的概率。计算语言学的研究人员已经找到许多可以在一定程度上缓解该问题的方法，我们将在第7章讨论机器学习算法时再来详细讨论该问题。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 04:43:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>面向机器学习的自然语言标注3.2 计算出现次数的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z42x29M.html" rel="bookmark">面向机器学习的自然语言标注&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面向机器学习的自然语言标注 James Pustejovsky &amp; Amber Stubbs 著 邱立坤 金澎 王萌 译 图书在版编目(CIP)数据 面向机器学习的自然语言标注 / (美) 詹姆斯·普斯特若夫斯基(James Pustejovsky),安伯·斯塔布斯(Amber Stubbs)著:邱立坤,金澎,王萌译. -北京:机械工业出版社, 2017.1 (O'Reilly精品图书系列) 书名原文:Natural Language Annotation for Machine Learnin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwmdkp.html" rel="bookmark">面向机器学习的自然语言标注导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本书的读者是那些使用计算机来处理自然语言的人.自然语言是指人类所说的任何一种语言,可以是当代语言(如英语.汉语.西班牙语),也可以指过去曾经使用过的语言(如拉丁语.古希腊语.梵语).标注(annotation)是一个过程,它通过向文本中加入元数据来增强计算机执行自然语言处理(Natural Language Processing, NLP)的能力.特别地,我们考察如何通过标注将信息加入自然语言文本中以便改善机器学习(Machine Learning,ML)算法(一组设计好的计算机程序,它从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJq3xvp.html" rel="bookmark">面向机器学习的自然语言标注1&period;1 语言标注的重要性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基础知识 人们几乎每天都会教计算机去解决一些新的激动人心的问题,这些问题包括如何在国际象棋比赛或&quot;危险边缘&quot;节目译注1中取胜,以及驾驶车辆时的最短路径选择.但仍有大量的问题是计算机不能完成的,特别是在理解人类语言方面.已经证明统计方法是解决这一问题的有效途径,但当可以为机器学习(Machine Learning, ML)算法提供关于数据集所包含信息的数据线索提示而不仅仅是数量巨大的数据时,ML通常可以产生更好的效果.讨论自然语言时,这些提示通常以标注的形式呈现--提供关于文本额外信息的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Yj3Vz.html" rel="bookmark">面向机器学习的自然语言标注1&period;4 标注开发循环</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 标注开发循环 对具体语言学现象进行编码的特征必须足够丰富,以便捕获训练算法中的预期行为.这些语言学描述通常来自对语言现象的理论建模.这些描述反过来形成了具体语言标注的基础,其自身可以作为特征用于训练和测试文本识别或标注算法的开发循环中.最后,基于对系统性能的分析和评价,语言现象的模型可能需要修改,进而可以重新训练和测试. 我们把这个开发循环称为MATTER方法,如图1-10所示(Pustejovsky 2006).   图1-10: MATTER循环 建模 结构化描述提供了有理论依据的属			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9xvdob.html" rel="bookmark">面向机器学习的自然语言标注1&period;3 语言数据和机器学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 语言数据和机器学习 我们已经介绍了语言标注方法及其语言数据标注格式的例子,接下来将描述基于这些标注语料库的计算框架,即机器学习.机器学习是人工智能的一个分支,研究如何根据经验和已有数据学习和改善性能的算法.它们学习(或生成)一个函数,将具体的输入数据映射为想要的输出.就我们的目标而言,机器学习算法处理的&quot;数据&quot;是自然语言,最常见的格式是文本,更典型的是标注突显具体特征的标签,这些特征与学习任务相关.正如我们将要看到的,前面所讨论的标注为机器学习流程(训练阶段)提供了丰富的输入数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWKZEM.html" rel="bookmark">面向机器学习的自然语言标注2&period;2 背景研究</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 背景研究 既然你已经考虑了哪些语言学层次适合标注任务,那么可以对相关研究工作进行了解.虽然建立标注语料库要花费许多工夫,完全由自己单独地完成一个好的标注任务也是可能的,但是首先了解业界的相关研究与发展现状将可以节省大量的时间和精力.很可能已有的一些研究与你正在进行的工作有关,从而使你不必一切从头做起. 例如,如果对时间标注感兴趣,现在ISO-TimeML已成为时间与事件标注方面(包括时间关系)的国际标准化组织标准.这一事实并不要求所有的时间标注都必须原样不动地使用ISO-TimeML的标			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwJ58vp.html" rel="bookmark">面向机器学习的自然语言标注3&period;3 语言模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.3 语言模型 n元语法的好处是什么呢?多年来自然语言处理已经利用n元语法开发了预测序列行为的统计语言模型(language model).序列行为涉及在包含多个X的序列中识别下一个X.例如,语音识别.机器翻译等.在给定前一个元素的前提下语言模型预测序列中的下一个元素. 让我们更仔细地看看它是如何工作的,以及如何使用前几章讨论的工具.假设有一个单词序列,w1,w2,?wn.预测序列中的任意&quot;下一个单词&quot;wi可以表示为下面的概率函数:   等价于:   请注意,这里涉及两个联合概率分布			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Y3EdM.html" rel="bookmark">面向机器学习的自然语言标注1&period;2 语料库语言学简史</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 语料库语言学简史 20世纪中叶,语言学实际上主要作为一种描述手段,用来研究语言中的结构属性和语言之间的类型差异.这使得构成语言表达的不同信息成分的描写模型相当复杂.在其他社会科学领域中,收集和分析数据一直来自统计学的计量技术.20世纪40年代,语言学家(如Bloomfield)开始思考语言可以用概率和行为主义术语来解释.经验和统计方法在20世纪50年代开始流行,同时香农(Shannon)的信息论给语言分析提供了可靠的量化方法,可以对语言结构进行量化建模. 不幸的是,语言分析的统计和量化方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNnO3WM.html" rel="bookmark">面向机器学习的自然语言标注2&period;4 语料库的规模</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 语料库的规模 既然你已经知道想要寻找何种类型的数据以及如何表现它,那么你还需要决定实际需要收集与标注多少数据.如果你计划使用一个已有的语料库,那么语料库的总规模已经确定,但是你可能仍然需要决定对语料库的多少内容进行标注. 一般而言,无论标注目标是什么,收集与标注的数据越多,就离达成目标越近.然而,在多数情况下,在讨论语言标注任务时&quot;越大越好&quot;并不是切实可行的--时间.金钱.有限的资源以及精力都可能是限制你和你的标注人员能完成标注规模的因素. 注意: 如果这是你收集数据工作的第一			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj7V8M.html" rel="bookmark" class="title">Word选择文字的技巧</a>
					<div>
						在Word 中,要想快速的准确的选择文字,你得使用如下的几种方法. ①字或词的选取 将指针移到要选的字或词后,双击鼠标左键即可选定. ②任意连续的文字选取 将指针移到要选取的文字首或末,再按住鼠标左键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOKq8z.html" rel="bookmark" class="title">SQL Server 2005中的SQLCMD工具使用</a>
					<div>
						本文概述SQL Server 2005中的SQLCMD工具使用方法过程等,并汇总变量列表. 1.你可以用SQLCMD执行交互式动作,如: C:sqlcmd&gt;sqlcmd 1&gt; SELECT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWqyez.html" rel="bookmark" class="title">山寨网，山寨、但不能一味的山寨</a>
					<div>
						对于&quot;山寨&quot;这个词,相信大家都很熟悉,山寨手机.山寨明星,山寨网站等,可以说,山寨已经逐渐形成文化了.简单说,山寨就是模仿,某个手机款式热门时尚就一拥而上研究某个产品;某个明星人气 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze35OM.html" rel="bookmark" class="title">详细讲解长尾关键词在电子商务领域的应用</a>
					<div>
						  相信我们运营过电子商务网站的朋友都知道,通过长尾关键词来到我们网站客户转换率是最高的,为什么大家应该都知道吧?我就不多说了! 下面张方文就直接切入今天的主题吧?我将以下四点来介绍长尾关键词! 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElaGJz.html" rel="bookmark" class="title">Photoshop绘制毛绒独眼小怪物图标</a>
					<div>
						  小图标的身体部分稍微难画一点,主要是绒毛部分,先用一组滤镜做出身体里面的绒毛,然后用涂抹工具涂出边缘的绒毛. 最终效果 一.身体的绘制: 分类: PS入门教程 ps图标制作教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7kRab.html" rel="bookmark" class="title">提升 MongoDB 安全性的10个方法</a>
					<div>
						  MongoDB提供了一系列组件来提升数据的安全性.数据安全在MongoDB中是最重要的--因此它利用这些组件来减少曝光面.下面是10个可以用来改善你个人或云中MongoDB服务器安全的小提示. 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo61YVz.html" rel="bookmark" class="title">在Word2010中使用Outlook联系人作为收件人</a>
					<div>
						在Word2010文档中进行邮件合并操作时,用户可以使用Outlook联系人作为收件人,不过前提是在Outlook中事先配置了联系人列表.在Word2010文档中使用Outlook联系人作为收件人的步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jrYob.html" rel="bookmark" class="title">Win7系统中常见任务栏丢失找回的办法</a>
					<div>
						Win 7系统中文件夹左侧任务栏的调节更改方式和WinXP相比有较大不同, Win 7中文件夹左侧常见任务栏丢失后的情况,您已经了解咯. 下面是具体操作步骤: 第一步.要恢复文件夹菜单栏,请点击左上角 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYOV2M.html" rel="bookmark" class="title">简单实用的Photoshop给衣服换颜色</a>
					<div>
						  今天为大家带来一篇给衣服换颜色的简单实用的ps教程. 原图 效果图 1.打开素材进入通道,右键复制绿通道,如图下 2.选中绿副本按[ctrl+l]调出色阶进行设置,参数如图下 3.把不需要换色的部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG7aAp.html" rel="bookmark" class="title">系统&OpenCurlyDoubleQuote;添加&sol;删除程序&rdquo;不能正常使用怎么办</a>
					<div>
						  [故障现象]当使用&quot;控制面板&quot;中的&quot;添加/删除程序&quot;来卸载软件时,&quot;添加/删除程序&quot;的窗口打开后就自动关闭了. [故障解决]出现这种现象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72XE5p.html" rel="bookmark" class="title">如何为win8系统中的附件程序创建快捷方式？</a>
					<div>
						  不管是哪个版本的windows系统,咱们附件中都有很多的程序存在,如果是传统的windows系统,也就是咱们的winXP系统和win7系统,咱们要点击选择其中的附件程序倒是十分的简单,单击开始菜单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WVrDb.html" rel="bookmark" class="title">如何实现win7笔记本触摸板滚屏功能</a>
					<div>
						  1.首先选择点击任务栏右下角的Synaptics定点装置图标启动设置界面; 2.然后在打开的界面中切换到&quot;装置设定值&quot;选项卡,点击下方的&quot;设定值&quot;按钮; 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6PlXb.html" rel="bookmark" class="title">win7系统取消用户账户控制（UAC）的方法</a>
					<div>
						  1.首先打开开始菜单中的&quot;控制面板&quot;选项,打开的控制面板中选择查看方式&quot;小图标&quot;,然后单击打开&quot;用户账户&quot;项; 2.然后在打开的用户账户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLN3Ob.html" rel="bookmark" class="title">网页百度云怎么加好友</a>
					<div>
						  1.打开自己的百度云主页,直接百度一下就可进入: 2.然后看到百度云个人主页最上面的导航&quot;分享&quot;,点击进入: 3.然后可以看到会话与好友列表,也可以看到有&quot;添加好友& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN4gQM.html" rel="bookmark" class="title">时间轴网站大集合</a>
					<div>
						如果有在使用 facebook 的朋友,最近应该已经渐渐开始有机会使用到新版的时间轴接口了,尽管网友对于时间轴的接口褒贬不一,但实际来看,时间轴的浏览接口有几个好处:  迅速看到你与朋友的美好回忆  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNWDVz.html" rel="bookmark" class="title">百度留言本js 大家可以参考下&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: window.onresize = baiduResizeDiv; window.onerror = function(){} var divTop,divLeft,divWid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE664JM.html" rel="bookmark" class="title">Birt Web jsp报表  出错  请问这是什么问题</a>
					<div>
						问题描述 我是用的BIRT报表在myeclipse8.5中但是我在访问报表的时候报了一下的问题2011-5-3014:32:09org.apache.tomcat.util.http.Paramete ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b324N7z.html" rel="bookmark" class="title">C&num;分析URL参数获取参数和值得对应列表</a>
					<div>
						原文: C#分析URL参数获取参数和值得对应列表 /// &lt;summary&gt; /// 分析url链接,返回参数集合 /// &lt;/summary&gt; /// &lt;param n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5wWBM.html" rel="bookmark" class="title">2014年2月知名网站源码更新汇总</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 A5源码用心做好源码源码下载,专注于服务中国站长,为众多的源码爱好者提供方便.2月主要针对社区论坛.博客微博.企业建站.CMS.网店商城等几个类别为您整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ry0Nz.html" rel="bookmark" class="title">MTK Catcher 的使用</a>
					<div>
						  The use of Catcher Catcher可以用来模拟打电话这个操作,因此正确地使用Catcher对于学习How to dial a number is importmant and h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK8DDb.html" rel="bookmark" class="title">断点 vs 乱跳 不准确-vs2008  断点调试的问题</a>
					<div>
						问题描述 vs2008 断点调试的问题 用vs2008调试程序,MFC程序 + 动态加载的DLL 1.在想要调试的DLL函数里面打上断点,并且确定断点已经打上 2.代码是最新的,整个解决方案都重新编译 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKkQjb.html" rel="bookmark" class="title">提高CSS文件可维护性的五种方法总结&lowbar;经验交流</a>
					<div>
						1.分解你的样式  对于小项目,在写代码之前,按页面结构或页面内容将代码分为几块并给予注释.例如,可以分别将 全局样式.布局.字体样式.表单.评论和其他分为几个不同的块来继续工作.  而对于较大的工程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKqXVb.html" rel="bookmark" class="title">vs2012 无法命&period;&period;&period;-无法命中断点 出现感叹号 VS2012</a>
					<div>
						问题描述 无法命中断点 出现感叹号 VS2012 项目中添加断点,运行后,断点变成空心的,且有感叹号.可能是我的电脑是64位的,而项目是32编译的.想查看一下我项目里的dll 是32还是64编译的,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rGNap.html" rel="bookmark" class="title">用户不满VMware新一代虚拟化平台vSphere 5授权方式</a>
					<div>
						虚拟化技术厂商VMware推出新一代虚拟化平台vSphere 5,延用ESXi 4.1版的虚拟化架构,提供了近200项全新与增强型功能,也大幅扩充了虚拟机的规格.此外,VMware也同步修改授权方式, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRALkp.html" rel="bookmark" class="title">asp&period;net找出DataTable中相同的记代码</a>
					<div>
						asp教程.net找出datatable中相同的记代码 datatable dt=...//数据源 datatable dt1=dt.totable(true,&quot;gid,did,batch& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JR1gz.html" rel="bookmark" class="title">四年后突破万亿 云计算成重要规划项目</a>
					<div>
						本文讲的是四年后突破万亿 云计算成重要规划项目[IT168资讯]有机构预测,明年全球12%的软件市场将转向云计算.而未来几年,中国云计算市场规模年均复合增长率预计将超过80%,到&quot;十二五&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj12rM.html" rel="bookmark" class="title">Pull to Refresh 拖动刷新之我的实现</a>
					<div>
						项目中需要用到pull to refresh这个功能, 从网上找了下找到了这个:https://github.com/leah/PullToRefresh.这个代码对我来说有一个很大的问题.其中拖动刷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEwlKM.html" rel="bookmark" class="title">自动化领域：选择合适的自动化工具</a>
					<div>
						在业务经营中,&quot;少即是多&quot;一般是常见的陈词滥调,IT也不例外.这意味着通过寻找更有效的方式利用现有资源以应对不断增长的需求.这通常是通过任务自动化和简化的过程与脚本和批处理作业来实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRgDZp.html" rel="bookmark" class="title">tomcat-TOMCAT主页能显示，自己的JSP出现404错误</a>
					<div>
						问题描述 TOMCAT主页能显示,自己的JSP出现404错误 HTTP Status 404 - /oa/main/index.jsp type Status report message /oa/m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nr5Kp.html" rel="bookmark" class="title">java struts2 远程执行任意java代码bug漏洞修复</a>
					<div>
						漏洞前提 开启动态方法调用, struts.xml配置 &lt;constant name=&quot;struts.enable.DynamicMethodInvocation&quot; valu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
